The API reference moved here from eksis.io/developers.
Channels

Read one channel

GET
/v1/channels/{channelId}

One connected channel with the health of its connection and the rules of its platform.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Path Parameters

channelId*string

Response Body

The channel.

application/json
  1. response
data?
curl -X GET 'https://api.eksis.io/v1/channels/string' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": {    "id": "string",    "platform": "instagram",    "username": "string",    "displayName": "string",    "avatarUrl": "string",    "status": "active",    "statusReason": "string",    "followerCount": 0,    "connectedAt": "2019-08-24T14:15:22Z",    "rules": {      "publish": [        {          "contentType": "feed",          "label": "string",          "captionMax": 0,          "mediaMin": 0,          "mediaMax": 0,          "mediaRequired": true,          "acceptsImage": true,          "acceptsVideo": true,          "image": {            "aspectRatio": [              0            ],            "maxBytes": 0,            "minWidth": 0,            "maxWidth": 0          },          "video": {            "aspectRatio": [              0            ],            "maxBytes": 0,            "durationSeconds": [              0            ]          }        }      ],      "textOnlyPosts": true,      "mediaRequired": true,      "features": {        "property1": true,        "property2": true      },      "summary": "string"    }  }}